#!/usr/bin/bash

i=0

rm -rf dump*

while true 
do
    sleep 0.03
    i=$((i + 1))

    pid=`cat fstress1.pid`

    mkdir dump$i
    criu dump -t "$pid" --leave-running --shell-job -v4 -D dump$i -o dump.log

    if [ $? -ne 0 ]
    then
        echo "criu exited with $?"
        break
    fi
    sleep 1
done

